<?php if ( ! defined('BASEPATH')) exit('No direct script access allowed');

class Court_calendar_m extends CI_Model{

	
	function getInfoPerkara($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT jenis_perkara_nama,nomor_perkara,tanggal_pendaftaran
				FROM perkara where perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function get_info_court_calendar($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT id,perkara_id,rencana_tanggal,rencana_jam,rencana_agenda,keterangan
				FROM perkara_court_calendar where perkara_id=$idperkara order by rencana_tanggal asc");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}
	#12-09-2018
	function cek_doc_court_calender($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT edoc_calender FROM perkara_edoc_calendar WHERE perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function court_calendar_view($idperkara,$idcc){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT id,perkara_id,rencana_tanggal,rencana_jam, rencana_agenda,keterangan
				FROM perkara_court_calendar where perkara_id=$idperkara and id=$idcc");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function fetchData($nomor_perkara){
		if(empty($nomor_perkara)) return '';

		try{
			return $this->db->query('SELECT * FROM perkara where nomor_perkara='.'"'.$nomor_perkara.'"'.';');
	    }catch (Exception $e) {
	    	log_message('error', $e);
	    }
	}
	function add_data($data_bb){
		try {
			$this->db->insert('perkara_barang_bukti', $data_bb);
			$title = "Tambah Data Permohonan Banding [Nomor Perkara=<b>".$data['nomor_perkara']."</b>]<br />Tambah table <b>perkara_barang_bukti</b> dari halaman <b>Tambah Barang Bukti</b> dengan Primary Key [perkara_id=".$data['perkara_id']."]";
			$descrip = $this->fetch_description($title,$data);
			$this->add_audittrail("INSERT",$title,$descrip,'perkara_barang_bukti');		
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
		}
	}

	function hapus_bb($idperkara){
		try {
			$this->db->where('perkara_id',$idperkara);
			$this->db->delete('perkara_barang_bukti');

			$title = "Hapus Barang Bukti <br />Hapus table <b>perkara_barang_bukti</b> dari halaman <b>Edit Barang Bukti</b> dengan Primary Key [ID Perkara=".$idperkara."]";
			$descrip = '';
			$this->add_audittrail("HAPUS",$title,$descrip,'perkara_barang_bukti');
			
			return TRUE;
		} catch (Exception $e) {
			return FALSE;
		}
		
	}	
	function fetch_description($title,$data){
		$descrip = '<br><table style="vertical-align:top" cellspacing="0" cellpadding="1" border="1">';
		$descrip .= '<tr><th>Nama Kolom</th><th>Nilai</th></tr>';
		foreach ($data as $key => $value) {
			$descrip .= '<tr>';
			$descrip .= '<td>'.$key.'</td>';
			$descrip .= '<td>'.$value.'</td>';
			$descrip .= '</tr>';
		}
		$descrip .= '</table>';
		return $descrip;
	}

	function add_audittrail($action,$title,$descrip,$tablename){
		try {
			$data = array(
				'datetime' => date("Y-m-d H:i:s"),
				'ipaddress' => $this->input->ip_address(),
				'username' => $this->session->userdata('username'),
				'tablename' => $tablename,
				'formname' => 'Add Mediasi',
				'action' => $action,
				'title' => $title,
				'description' => $descrip
			);
			$this->db->insert('sys_audittrail', $data);
		} catch (Exception $e) {
			
		}
	}

	function getDataPrint($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT jenis_perkara_nama, alur_perkara_id,nomor_perkara,pihak1_text,pengacara_pihak1, pihak2_text, pengacara_pihak2 FROM perkara where perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function getDataPrint___($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT jenis_perkara_nama,nomor_perkara,tanggal_pendaftaran
				FROM perkara where perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function getDataMajelis($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT majelis_hakim_text,nama_gelar FROM perkara_penetapan AS pp
								LEFT JOIN panitera_pn AS pn ON pp.`panitera_pengganti_id`=pn.`id`
								WHERE perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function getDataPihak($idperkara,$pihak){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT nama FROM perkara_pihak".$pihak." WHERE perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}	

	function getDataPengacara($idperkara,$pihak){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT nama FROM perkara_pengacara WHERE perkara_id=$idperkara AND pihak_ke=$pihak");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}

	function getDataHakim($idperkara){
		if(empty($idperkara)) return '';
		try {
			$query = $this->db->query("SELECT jabatan_hakim_id,hakim_nama FROM perkara_hakim_pn WHERE perkara_id=$idperkara");
				return $query;
			} catch (Exception $e) {
				log_message('error', $e);
		}
	}
	


}

?>